function initialize() {
  simplemail.SimpleMailOverlay = simplemail.SimpleMailUtils.getBrowserWindow().simplemail.SimpleMailOverlay;
  var filter = window.arguments[0].filter;
  
  populateTypes();
  simplemail.SimpleMailUtils.selectItem("type", filter.type);

  var name = filter.getName();
  document.title = filter.id ? simplemail.SimpleMailBundle.getString("editFilter", [name])
                             : simplemail.SimpleMailBundle.getString("newFilter");
  simplemail.SimpleMailDom.get("name").value = name;

  initRules(filter.rules);
  initActions(filter.actions);
}

function onAccept() {
  var filter = window.arguments[0].filter;
  filter.name = simplemail.SimpleMailDom.get("name").value;
  filter.type = simplemail.SimpleMailDom.get("type").selectedItem.value;
}

function onCancel() {
  window.arguments[0].filter = null;
}

function populateTypes() {
  var menupopup = simplemail.SimpleMailDom.get("type").menupopup;
  var menuitem = document.createElement("menuitem");
  menuitem.setAttribute("label", simplemail.SimpleMailBundle.getString("inbox"));
  menuitem.setAttribute("value", simplemail.SimpleMailModel.SimpleMailFilter.INBOX);
  menupopup.appendChild(menuitem);
  var menuitem = document.createElement("menuitem");
  menuitem.setAttribute("label", simplemail.SimpleMailBundle.getString("sent"));
  menuitem.setAttribute("value", simplemail.SimpleMailModel.SimpleMailFilter.SENT);
  menupopup.appendChild(menuitem);
}