var folders         = window.arguments[0].inn.folders;
var folderTree      = window.arguments[0].inn.folderTree;
var folderTreeView  = window.arguments[0].inn.folderTreeView;
var messageTreeView = window.arguments[0].inn.messageTreeView;
var storage;

var SimpleMailSPAM = {
  initialize: function() {
    simplemail.SimpleMailOverlay = simplemail.SimpleMailUtils.getBrowserWindow().simplemail.SimpleMailOverlay;
    storage = simplemail.SimpleMailOverlay.storage;

    simplemail.SimpleMailPrefs.getBool("movespam") ? simplemail.SimpleMailDom.get("styleSPAM").selectedIndex = 0
                                             : simplemail.SimpleMailPrefs.getBool("trashspam") ? simplemail.SimpleMailDom.get("styleSPAM").selectedIndex = 1
                                             : simplemail.SimpleMailPrefs.getBool("deletespam") ? simplemail.SimpleMailDom.get("styleSPAM").selectedIndex = 2
                                             : simplemail.SimpleMailDom.get("styleSPAM").selectedIndex = 3;
                                             
    if (simplemail.SimpleMailPrefs.getBool("movespam"))
      checkFolderSPAMPrefs();

    if (simplemail.SimpleMailPrefs.getBool("nospam"))
      simplemail.SimpleMailDom.get('markspamasread').disabled = true;

    simplemail.SimpleMailDom.get("markspamasread").checked = simplemail.SimpleMailPrefs.getBool("markspamasread");
  }
};

// userok: async
function checkFolderSPAMPrefs() {
  var folderSPAM = "SPAM";
  var spamFolderId = simplemail.SimpleMailManageFolder.getFolderId(folderSPAM);

  if (typeof(spamFolderId) == 'undefined') {
    var spamFolder = "SPAM";
    var folderSPAM = new simplemail.SimpleMailModel.SimpleMailFolder(null, null, spamFolder);
    folderTree.view = folderTreeView;
    simplemail.SimpleMailManageFolder.setFolderParent(function(fldr, pid) {
      folders      = storage.getFolders();
      folderTree   = simplemail.SimpleMailDom.get("folder-tree");
      simplemail.SimpleMailManageFolder.updateFolderCounts();
      spamFolderId = fldr.id;      
    }, folderSPAM, 0);
  }
}

function styleSPAM(selectedIndex) {
  if (simplemail.SimpleMailDom.get("styleSPAM").selectedIndex == 0) {
    simplemail.SimpleMailPrefs.setBool('movespam', true);
    simplemail.SimpleMailPrefs.setBool('trashspam', false);
    simplemail.SimpleMailPrefs.setBool('deletespam', false);
    simplemail.SimpleMailPrefs.setBool('nospam', false);
    simplemail.SimpleMailDom.get('markspamasread').disabled = false;
    checkFolderSPAMPrefs();
    checkChangeActions();
  } else if (simplemail.SimpleMailDom.get("styleSPAM").selectedIndex == 1){
    simplemail.SimpleMailPrefs.setBool('movespam', false);
    simplemail.SimpleMailPrefs.setBool('trashspam', true);
    simplemail.SimpleMailPrefs.setBool('deletespam', false);
    simplemail.SimpleMailPrefs.setBool('nospam', false);
    simplemail.SimpleMailDom.get('markspamasread').disabled = false;
    checkChangeActions();
  } else if (simplemail.SimpleMailDom.get("styleSPAM").selectedIndex == 2){
    simplemail.SimpleMailPrefs.setBool('movespam', false);
    simplemail.SimpleMailPrefs.setBool('trashspam', false);
    simplemail.SimpleMailPrefs.setBool('deletespam', true);
    simplemail.SimpleMailPrefs.setBool('nospam', false);
    simplemail.SimpleMailDom.get('markspamasread').disabled = false;
    checkChangeActions();
  } else if (simplemail.SimpleMailDom.get("styleSPAM").selectedIndex == 3){
    simplemail.SimpleMailPrefs.setBool('movespam', false);
    simplemail.SimpleMailPrefs.setBool('trashspam', false);
    simplemail.SimpleMailPrefs.setBool('deletespam', false);
    simplemail.SimpleMailPrefs.setBool('nospam', true);
    simplemail.SimpleMailPrefs.setBool('markspamasread', false);
    simplemail.SimpleMailDom.get('markspamasread').disabled = true;
    checkChangeActions();
  }
}

function onCancel() {
  var mainWindow = simplemail.SimpleMailOverlay.getMainWindow(true);
  window.close();
  if (mainWindow) 
    mainWindow.history.go();
  simplemail.SimpleMailOverlay.spamWindow.focus();
}